<button md-raised-button (click)="showChildModal()"><i class="fa fa-cloud-upload" aria-hidden="true"></i> Add product via UPC</button>
<div bsModal #childModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title pull-left">Add product via UPC</h4>
        <button type="button" class="close pull-right" aria-label="Close" (click)="hideChildModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <div  class="container-fluid">
                  <md-input-container class="col-md-10 col-md-offset-1 small">
                      <input mdInput [(ngModel)]="upc" placeholder="UPC" (keyup.enter)="validate()">
                  </md-input-container>
          <div #info [class.hide]="!product.brand" class="info row">
                     <div class="media col-md-10 col-md-offset-1">
              <div class="media-left">
                  <span class="img-thumbnail">
                    <img [src]="product.imgUrl" class="img-md">
                  </span>
              </div>
              <div class="media-body small">
                <h4 class="media-heading">Name: <span class="label label-warning">{{ product.name }}</span></h4>
                Brand: <span class="label label-primary">{{ product.brand }}</span> | Model: <span class="label label-primary">{{ product.model }}</span>
                  <br>
                  <a target='_blank' md-button href="{{ product.src }}"  > Watch in Walmart</a>
              </div>
            </div>
            </div>
              </div>
      </div>
        <div class="modal-footer">
            <div class="col-md-6 col-md-offset-3">
                <div class="col-md-5 col-md-offset-1">
                    <button md-raised-button md-button [disabled]="loading" (click)="validate();"> <i class="fa fa-fw" [class.fa-pulse] = 'loading' [class.fa-spinner]="loading" [class.fa-search]="!loading"></i> Validate</button>
                </div>
                <div class="col-md-5 col-md-offset-1">
                    <button md-raised-button [disabled]="loading_create" (click)="create();"><i class="fa fa-fw" [class.fa-pulse] = 'loading_create' [class.fa-spinner]="loading_create" [class.fa-cart-plus]="!loading_create"></i> Add</button>
                </div>
            </div>
        </div>
    </div>
  </div>
</div>